> For the complete documentation index, see [llms.txt](https://docs.balena.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.balena.io/reference/api/resources/release.md).

# Release

## Available Fields

| Field                     |
| ------------------------- |
| `id`                      |
| `created_at`              |
| `belongs_to__application` |
| `is_created_by__user`     |
| `raw_version`             |
| `semver`                  |
| `semver_major`            |
| `semver_minor`            |
| `semver_patch`            |
| `semver_prerelease`       |
| `semver_build`            |
| `revision`                |
| `variant`                 |
| `commit`                  |
| `composition`             |
| `status`                  |
| `source`                  |
| `build_log`               |
| `start_timestamp`         |
| `end_timestamp`           |
| `update_timestamp`        |
| `is_invalidated`          |
| `release_version`         |
| `note`                    |
| `contract`                |

***

## Examples

### Get all releases for a fleet

```bash
GET "https://api.balena-cloud.com/v7/release?\$filter=belongs_to__application%20eq%20<FLEET ID>" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <AUTH_TOKEN>" 
```

### Get the release raw\_version field

The raw\_version field is returned only when explicitly requested with $select.

```bash
GET "https://api.balena-cloud.com/v7/release(<ID>)?\$select=raw_version" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <AUTH_TOKEN>" 
```

### Get a release ID given a specific fleet and version

```bash
GET "https://api.balena-cloud.com/v7/release?\$filter=belongs_to__application%20eq%20<FLEET ID>%20and%20raw_version%20eq%20'<RAW VERSION>'&\$select=id" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <AUTH_TOKEN>" 
```

### Get a release ID given a specific fleet and commit

```bash
GET "https://api.balena-cloud.com/v7/release?\$filter=belongs_to__application%20eq%20<FLEET ID>%20and%20commit%20eq%20'<COMMIT HASH>'&\$select=id" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <AUTH_TOKEN>" 
```

### Set the notes for a release

```bash
PATCH "https://api.balena-cloud.com/v7/release(<ID>)" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <AUTH_TOKEN>" \
--data '{"note": "your release note here"}'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.balena.io/reference/api/resources/release.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
